Loading...
Searching...
No Matches
BD_PG_PALETTE_ENTRY Struct Reference

Overlay palette entry. More...

`#include <overlay.h>`

## Data Fields

uint8_t | Y
| Y component (16...235).
uint8_t | Cr
| Cr component (16...240).
uint8_t | Cb
| Cb component (16...240).
uint8_t | T
| Transparency ( 0...255).

## Detailed Description

Overlay palette entry.

Y, Cr and Cb have the same color matrix as the associated video stream.

Entry 0xff is always transparent.

## Field Documentation

## T

uint8_t BD_PG_PALETTE_ENTRY::T

Transparency ( 0...255).

0 - transparent, 255 - opaque.

The documentation for this struct was generated from the following file:

- overlay.h